/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockFileTransferBCJBIListener.java 4:20:06 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.filetransferbc.mock;

import java.util.Set;
import java.util.logging.Logger;

import javax.jbi.component.ComponentContext;
import javax.jbi.messaging.DeliveryChannel;
import javax.jbi.messaging.NormalizedMessage;

import org.objectweb.petals.binding.filetransferbc.FileTransferBCException;
import org.objectweb.petals.binding.filetransferbc.listeners.FileTransferBCJBIListener;

/**
 * Mock object of the FileTransferBCJBIListener
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockFileTransferBCJBIListener extends FileTransferBCJBIListener {

    public MockFileTransferBCJBIListener(DeliveryChannel channel,
        Logger logger, ComponentContext context, String dir) {
        super(channel, logger, context, dir);
    }

    private boolean writeFile;

    private boolean writeAttach;

    public boolean writeFile(String body, String subDir, String fileName)
        throws FileTransferBCException {
        writeFile = true;
        return true;
    }

    public boolean writeAttachments(Set attachId, NormalizedMessage nm,
        String subDir) throws FileTransferBCException {
        writeAttach = true;
        return true;
    }

    public boolean isWriteFile() {
        return writeFile;
    }

    public boolean isWriteAttachments() {
        return writeAttach;
    }

    public void setWriteFile(boolean writeFile) {
        this.writeFile = writeFile;
    }

}
