/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: InitialContextLoader.java 601 2006-06-13 12:53:50Z alouis $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.jms.su;

import java.util.Properties;

import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * This class is used to create an InitialContext with an initialContextFactory
 * class that is referenced in another ClassLoader. So, this class must be
 * created using the classloader containing the factory code.
 * 
 * @version $Revision: $ $Date: $
 * @since Petals 1.0
 * @author alouis
 */

public class InitialContextLoader {
    InitialContext loadInitialContext(Properties properties)
        throws NamingException {
        return new InitialContext(properties);
    }
}
