/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: AbstractJBIPackageTest.java 09:21:19 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.packaging;

import java.io.File;

import junit.framework.TestCase;

import org.objectweb.petals.PetalsException;
import org.objectweb.petals.jbi.management.lifecycle.mock.MockJBIDescriptorBuilder;
import org.objectweb.petals.jbi.messaging.mock.MockLogger;
import org.objectweb.util.monolog.api.Logger;

/**
 * Test pf the DeploymentPackage
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class DeploymentPackageTest extends TestCase {

    /**
     * The content is ok the service assembly is valid
     * 
     * @throws PetalsException
     */
    public void testCheckContents() throws PetalsException {
        String baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
        Logger logger = new MockLogger();
        DeploymentPackage deploymentPackage = new DeploymentPackage(new File(
            baseDir + "src" + File.separator + "test-data" + File.separator
                + "packages" + File.separator + "sa.zip").toURI(),
            MockJBIDescriptorBuilder.buildServiceAssemblyDescriptorWithSU(),
            logger);
        deploymentPackage.checkContents();
    }

    /**
     * The content is not ok the service assembly is not valid
     * 
     * @throws PetalsException
     */
    public void testCheckContents1() {
        String baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
        Logger logger = new MockLogger();
        DeploymentPackage deploymentPackage = new DeploymentPackage(new File(
            baseDir + "src" + File.separator + "test-data" + File.separator
                + "packages" + File.separator + "sa.zip").toURI(),
            MockJBIDescriptorBuilder.buildServiceAssemblyDescriptorWithSUFoo(),
            logger);
        try {
            deploymentPackage.checkContents();
            fail();
        } catch (Exception e) {

        }
    }

}
