/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SharedLibraryTest.java 3:15:20 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import java.util.ArrayList;
import java.util.List;

import org.objectweb.petals.tools.jbicommon.descriptor.Identification;
import org.objectweb.petals.tools.jbicommon.descriptor.SharedLibrary;

import junit.framework.TestCase;

/**
 * Test of the SharedLibrary
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class SharedLibraryTest extends TestCase {

    public void testGetters() {
        SharedLibrary sharedLibrary = new SharedLibrary();
        Identification identification = new Identification();
        sharedLibrary.setIdentification(identification);
        assertEquals(sharedLibrary.getIdentification(), identification);
        sharedLibrary.setClassLoaderDelegation("delegation");
        assertEquals(sharedLibrary.getClassLoaderDelegation(), "delegation");
        sharedLibrary.setVersion("version");
        assertEquals(sharedLibrary.getVersion(), "version");

        List<String> classpath = new ArrayList<String>();
        sharedLibrary.setSharedLibraryClassPath(classpath);
        assertEquals(classpath, sharedLibrary.getSharedLibraryClassPath());
    }

}
